/*
 I2C_FullColorLED.h - I2C Full Color LED Module Library
 Copyright (c) 2012 IQ COMPANY Ltd.  All right reserved.
 http://iqcompany.jp/products/i2c-led-module/
*/

#ifndef __I2C_FULL_COLOR_LED_H__
#define __I2C_FULL_COLOR_LED_H__

#include <Wire.h>
#include <inttypes.h>

class I2C_FullColorLED {
public:
  I2C_FullColorLED (uint8_t address);
  uint8_t write(uint8_t R, uint8_t G, uint8_t B);
private:
  uint8_t _address;
};

#endif /* __I2C_FULL_COLOR_LED_H__ */
