/*
 I2C_FullColorLED.cpp - I2C Full Color LED Module Library
 Copyright (c) 2012 IQ COMPANY Ltd.  All right reserved.
 http://iqcompany.jp/products/i2c-led-module/
*/

#include "I2C_FullColorLED.h"

I2C_FullColorLED::I2C_FullColorLED(uint8_t address)
{
  _address = address;
}

uint8_t I2C_FullColorLED::write(uint8_t R, uint8_t G, uint8_t B)
{
  uint8_t data[3];
  data[0] = R;
  data[1] = G;
  data[2] = B;
  Wire.beginTransmission(_address);
  Wire.write(data, 3);
  return Wire.endTransmission();
}
